aic_matrix(scan('fig31a.dat'),byrow=T,ncol=6)
aic1_matrix(scan('fig31b.dat'),byrow=T,ncol=6)
t_scan('../datasets/ar4.tsm')
t_t[1:50]
a_acf(t, lag=20)
p_acf(t, lag=20, 'partial')
ps.options(horizontal=F, width=4.4, height=4.8, reset=T)
postscript("Fig31.ps", onefile=F, print=F)
par(mfrow = c(2, 2),mar=c(3,2,2,1)+0.1, cex=0.4)
par(mex=0.5,csi=0.11, mgp = c(1.4, 0.6, 0))
plot(aic[,1],aic[,2], ylim=c(200,340), pch='a', type='o', lty=1,main='(a) AIC, BIC & FPE (T=100)', las=1, xlab='p')
lines(aic[,1],aic[,3], type='o',  pch='c',lty=2)
lines(aic[,1],aic[,4], type='o', pch='b',lty=3)
lines(aic[,1],aic[,5]*100+120, type='o', pch='f', lty=4)
lines(aic[,1],aic[,6], type='o', pch='k',lty=5)
plot(aic1[,1],aic1[,2], ylim=c(100,198), pch='a', type='o', lty=1,main='(b) AIC, BIC & FPE (T=50)', las=1, xlab='p')
lines(aic1[,1],aic1[,3], type='o',  pch='c',lty=2)
lines(aic1[,1],aic1[,4], type='o', pch='b',lty=3)
lines(aic1[,1],aic1[,5]*50+50, type='o', pch='f', lty=4)
lines(aic1[,1],aic1[,6], type='o', pch='k',lty=5)
acf.plot(a, main='(c) ACF (T=50)')
acf.plot(p, main='(d) PACF (T=50)')
dev.off()

